#!/bin/sh

make -f Makefile
if [ $? -ne 0 ]
then
  exit 1
fi

q="DEV.QUEUE.1"
qm="QM1"

. setmqenv -m $qm -k

export PATH=$PATH:/opt/mqm/samp/bin

echo "CLEAR QL($q)" | runmqsc $qm

# Message body
msg="Hello at `date`"

# These strings are complete folders
f1="<myfolder content='properties'><colour>red</colour></myfolder>"
f1a="<myfolder2'><colour>yellow</colour></myfolder2>" # Can use this to see behaviour when not marked as properties
f2="<usr><colour>green</colour><size>large</size></usr>"

cat << EOF  | rfh2put $q $qm
$f1
$f2

$msg
EOF

# Get the message showing raw RFH2
amqsbcg $q $qm 3
# Get the message showing properties
amqsbcg $q $qm 1
# Get the message removing RFH2 entirely
amqsbcg $q $qm 2

echo 
java  -cp /opt/mqm/java/lib/com.ibm.mq.allclient.jar:. JmsBrowser -m $qm -d $q -h localhost -l SYSTEM.DEF.SVRCONN | grep -v "Prop: JMS"
